#!/usr/bin/env python
import pygame
from pygame.locals import *
import sys

SCR_RECT = Rect(0, 0, 640, 480) # スクリーンサイズの矩形を作成する

class Main():
    def __init__(self):
        pygame.init() # Pygameを初期化し、使えるようにする
        pygame.display.set_caption("sample") # ウィンドウのタイトル
        screen = pygame.display.set_mode(SCR_RECT.size) # SCR_RECTのサイズでディスプレイを作成する

        # フォントオブジェクトの作成
        self.font = pygame.font.Font("data/minamoji04.ttf", 80)
        self.text = self.font.render("留年", True, (255, 255, 255))

        # 画像のロード
        self.image = pygame.image.load("data/rabipple.png")

        clock = pygame.time.Clock()
        while True:
            clock.tick(30)
            self.update() # 更新（この時点では、まだディスプレイに反映されない）
            self.draw(screen) # 描画
            pygame.display.update() # 更新をディスプレイに反映させる
            self.key_handler() # キー操作などを受け付ける

    def update(self):
        pass

    def draw(self, screen):
        screen.fill((0, 0, 0))

        # テキストの描画
        screen.blit(self.text, (120, 240))

        # 画像の描画
        screen.blit(self.image, (360, 80))

    def key_handler(self):
        for event in pygame.event.get():
            if event.type == QUIT:
                pygame.quit()
                sys.exit()

if __name__ == "__main__":
    Main()
